Ubuntu

sis190 (sis191), amd64: Ethernet Rx frames > 1510 bytes (ip mtu > 1496 bytes) isn't accepted.

Reported by Dmitriy Balakin on 2010-03-01
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

During the attemptions to ping or other actions, which mean the adoption of the package with the MTU size of interface (1500), the frame isn't accepted and there is an increasing of value error and frame by one in ifconfig output. By practical consideration was cleared up, that 4 last bytes aren't able to get throught, as the maximum size of delivered ip package can't be more than 1496 bytes (from 1500 supposed to be), and accordingly to it, the size of the ethernet frame can't be more than 1510 (from 1514 supposed to be) bytes.The tests of this hardware in the alternative operating system (windows 7) have shown us the positive result and pointed on the correct work of hardware and the communication medium.

System: Ubuntu Karmic 9.10 amd64
Kernel: 2.6.31-20-generic
Hardware: Laptop Asus F5SL
Network Adapter: Silicon Integrated Systems [SiS] 191 Gigabit Ethernet Adapter (rev 02):

00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] 191 Gigabit Ethernet Adapter (rev 02)
 Subsystem: ASUSTeK Computer Inc. Device 1815
 Flags: bus master, medium devsel, latency 0, IRQ 19
 Memory at fddfcc00 (32-bit, non-prefetchable) [size=128]
 I/O ports at cc00 [size=128]
 Capabilities: <access denied>
 Kernel driver in use: sis190
 Kernel modules: sis190

ps. On 32-bit kernel everything works fine.
pps. May be related: http://bugzilla.kernel.org/show_bug.cgi?id=10895; http://bugzilla.kernel.org/show_bug.cgi?id=11509

Dmitriy Balakin (0x0000.ru) wrote :
description: updated
description: updated
summary: - sis910, amd64: Ethernet Rx frames > 1510 bytes (ip mtu > 1496 bytes)
- isn't accepted.
+ sis190 (sis191), amd64: Ethernet Rx frames > 1510 bytes (ip mtu > 1496
+ bytes) isn't accepted.
description: updated
tags: added: kernel-series-unknown
grobovoZZZ (k0matoznik) wrote :

I have the bug on 32-bit kernel 2.6.32-16-generic (ubuntu 10.04) Hardware: Laptop Asus F5SL,Network Adapter: Silicon Integrated Systems [SiS] 191 Gigabit Ethernet Adapter (rev 02):

Dmitriy Balakin (0x0000.ru) wrote :

Yes, i can confirm. On 32-bit 2.6.31 (ubuntu 9.10) works perfectly, rather than on 32-bit 2.6.32 (ubuntu 10.04) with same trouble.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Mam(O)n,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 530263

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
WIPAT (wipat-s) wrote :

I changed back to New again.

This bug still existed on ubuntu-10.10-beta-desktop-i386.iso.
kernel Linux ubuntu 2.6.35-19-generic.
maximum mtu is 1496.
dmesg =
[ 2.842612] sis190: sis190 Gigabit Ethernet driver 1.4 loaded
[ 3.433174] sis190 0000:00:04.0: eth0: 0000:00:04.0: SiS 191 PCI Gigabit Ethernet adapter at f8088000 (IRQ: 19), 00:1c:25:8c:0e:c1

Changed in linux (Ubuntu):
status: Expired → New
grobovoZZZ (k0matoznik) wrote :

This bug come back on ubuntu-10.10-desktop-i386 kernel 2.6.35-22-generic-pae,mtu 1496.
Hardware: Laptop Asus F5SL
Network Adapter: Silicon Integrated Systems [SiS] 191 Gigabit Ethernet Adapter (rev 02):

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 530263

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Jan Košař (kosarj) on 2011-09-29
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: SIS966 [HDA SIS966], device 0: ALC660-VD Analog [ALC660-VD Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SIS966 [HDA SIS966], device 0: ALC660-VD Analog [ALC660-VD Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: honza 1832 F.... pulseaudio
CRDA: Error: [Errno 2] Adresář nebo soubor neexistuje
Card0.Amixer.info:
 Card hw:0 'SIS966'/'HDA SIS966 at 0xfddf8000 irq 18'
   Mixer name : 'Realtek ALC660-VD'
   Components : 'HDA:10ec0660,10430000,00100001 HDA:11c11040,10431636,00100200'
   Controls : 15
   Simple ctrls : 10
DistroRelease: Ubuntu 10.10
HibernationDevice: RESUME=UUID=c04193bd-30bf-454b-b94f-c4ad08e6788d
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: ASUSTeK Computer Inc. F5SR
NonfreeKernelModules: fglrx
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-30-generic root=UUID=8e3417e8-6abb-4c43-979b-2390b6083b1b ro quiet splash
ProcEnviron:
 LANG=cs_CZ.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-30.59-generic 2.6.35.13
Regression: No
RelatedPackageVersions: linux-firmware 1.38.6
Reproducible: Yes
Tags: maverick kernel-net needs-upstream-testing
Uname: Linux 2.6.35-30-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers
dmi.bios.date: 10/14/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 204
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: F5SR
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 1.0
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr204:bd10/14/2008:svnASUSTeKComputerInc.:pnF5SR:pvr1.0:rvnPEGATRONCORPORATION:rnF5SR:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr:
dmi.product.name: F5SR
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Jan Košař (kosarj) wrote :

I have the same problem appearing when I run Windows XP and then restart to Ubuntu. Keeping computer some time powered off solves teh problem until I do this again. Setting MTU size on eth0 to 1492 solves the symptoms. My configuration:
laptop model: ASUS F5SR-AP027
ethernet adapter: SiS 191 Gigabit Ethernet Adapter
system: Ubuntu 10.10 desktop AMD64 (no networking modifications)
kernel: linux-2.6.35-30.generic (no modifications)

I have used the apport-collect utility after I denied the symptoms using command `sudo ifconfig eth0 mtu 1492`. I was unable to run apport-collect without mtu set to 1492.

Dmitriy Balakin, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: karmic
removed: 1496 error ethernet frame mtu rx sis191 sis910
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments